Bug 1577392 (CVE-2018-10801) - CVE-2018-10801 libtiff: memory leak in bmp2tiff tool
Summary: CVE-2018-10801 libtiff: memory leak in bmp2tiff tool
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-10801
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1577315 1577314 1577316 1577393 1598706
Blocks: 1577318
TreeView+ depends on / blocked
 
Reported: 2018-05-11 21:39 UTC by Laura Pardo
Modified: 2019-09-29 14:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A memory leak has been discovered in tools/bmp2tiff.c in libtiff, when the iBitCount header value is not acceptable. An attacker may use this flaw to cause a Denial of Service.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:43 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-05-11 21:39:14 UTC
A flaw was found in LibTIFF 3.8.2TIFF. The ClientOpen function in tif_unix.c file has memory leaks which allow local attackers to cause a denial of service (memory consumption) via crafted file.


References:
http://bugzilla.maptools.org/show_bug.cgi?id=2790

Comment 1 Laura Pardo 2018-05-11 21:41:10 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1577316]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1577314]
Affects: fedora-all [bug 1577315]

Comment 5 Riccardo Schirone 2018-07-06 09:32:38 UTC
In bmp2tiff tool a file is opened for writing with TIFFOpen, but when the iBitCount header value is wrong, the tool exits without closing the file.


Note You need to log in before you can comment on or make changes to this bug.